Satellite6 very limited functionality due to SELinux denial on candlepin unable to connect to postgres

Solution Verified - Updated -

Issue

After updating some security related packages, Satellite6 stops working for majority of its functions, as candlepin stopped to work. Audit logs show a name_connect AVC denial for candlepin.

Environment

  • Red Hat Satellite 6.3.3 or older
    • candlepin-selinux package of version 2.1.18-1 or older

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In